$(function(){
    var getParameterByName = function(name) {
        name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
        var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
            results = regex.exec(location.search);
        return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
    };

    var lang = getParameterByName('lang');
    if(lang){

    	var translations = HelpTranslations[lang.toLowerCase()] || HelpTranslations.en;

        if(translations){

            $('[tr-key]').each(function(i, el){
                var $el = $(el);
                $el.html(translations[$el.attr('tr-key')]);
            });

        }
        $('section#main-content').append('<div class="updateDate">' + translations["last_updated"]  + ': 10:42:00 GMT – 13/06/2017</div>')
    } else {
    	$('section#main-content').append('<div class="updateDate">Last updated: 10:42:00 GMT – 13/06/2017</div>')
    }

    $('a').each(function(i, a) {
        var $a = $(a);
        var url = $a.attr('href').replace(/\.html/i, '.html'+ location.search);
        if (lang) {
            url = url.replace(new RegExp("lang=" + lang , "i"), 'lang=' + lang.toLowerCase());
        }
        $a.attr('href', url);
    });

	$("#pagename").on("click", function(e){
	    e.preventDefault();
	    var $navigation = $('#navigation');
	    if($navigation.hasClass("open")) {
	    	$navigation.find('#dropdown').slideUp("fast",function(){
	    		$navigation.removeClass("open");
	    	});
	        
	    } else {
	        $navigation.addClass("open");
	        $navigation.find('#dropdown').slideDown("fast");
	    }
	
	});
	var onresize = function(){
		$('#block-scroll').each(function(i,el){
			$el=$(el);
			$el.css('height', ($(window).height()-$el.offset().top-27)+'px');
		});
		$("#block-scroll").niceScroll({
			cursorcolor:"#595959", 
			cursorwidth:"5",
			cursorborder:"0",
			cursorborderradius:"4px",
			autohidemode:"false", 
			bouncescroll:"true",
			disableoutline:"true",
			zindex:"5",
			railoffset:"true",
			railoffset:{top:0,right:0,left:-7,bottom:10},
		});
	};
	$(window).resize(onresize);
	onresize();
}); 