function AotgTest(url) {

    var test = new Test(url, document.body, 100, 100, 0, 100);
    test.initPostMessage(this);

    this.onMessage = function (message) {
        switch (message.classId) {
            case 3: //Page ready
                console.log("TESTS: component is ready, lets start animation")
                $('#btnStartMiniGame').prop('disabled', false);
                $('#btnStartWon').prop('disabled', true);
                break;
            case 404: //AOTGMinigameEndEvent
                console.log("TESTS: got AOTGMinigameEndEvent")
                console.log("TESTS: is minigame finished by player: " + message.minigameEnd)
                $('#btnStartMiniGame').prop('disabled', false);
                $('#btnStartWon').prop('disabled', false);
                break;
            case 405: //AOTGWonAnimationEndEvent
                console.log("TESTS: got AOTGWonAnimationEndEvent")
                $('#btnStartMiniGame').prop('disabled', false);
                $('#btnStartWon').prop('disabled', true);
                break;
        }
    }

    this.send_AOTGStartMinigameAnimation = function (params) {
        test.sendIntegrationMessage({
            classId: 402,
            winAmount: params.winAmount,
            jackpotType: params.jackpotType,
            currency: params.currency,
            winningPlayer: params.winningPlayer,
            isWinner: params.isWinner,
            timeTillGameplayStartMs: params.timeTillGameplayStartMs,
            jackpots: params.jackpots
        }
        )
    }

    this.send_Preferences = function (langCode, volume) {
        test.sendIntegrationMessage({
                classId: 106,
                languageCode: langCode,
                soundLevel: volume
            }
        )
    }

    this.send_PokerClientAOTGStartWonAnimation = function () {
        test.sendIntegrationMessage({ classId: 403 })
    }

}